• 返回幸运飞艇官网
    当前位置: 主页 > Linux软件下载 >

    flash builder 4 for linux 下载

    官方网站:http:// 软件热度: 报告:报告问题
    软件介绍
    工作原因,必须在Ubuntu下面安装Flash Builder和Flash CS4,搜索一番找到两篇文章:


    Flash Builder的那篇,针对的是Beta1,我用正式版试了一下,不成功。安装Flash CS4的那篇由于比较麻烦,就没有试。况且现在都CS 5了,试了也没意义。

     

    Adobe的东西,在Wine下总是很麻烦。倒是原来Macromedia的Flash 8绿色版直接在Wine下运行得很好。

    接下来就是重头戏了:安装Linux下原生的Flash Builder 4。

    其实,Adobe labs有一个这样的项目:,但这个项目多半已经停止开发了。因为Flash Builder是基于Eclipse的,而Eclipse本就跨平台,所以理论上可以将Window下的Flash Builder移植到Linux下面来。既然Adobe不愿意做,那么eshangrao就自己做了。

    安装方法:

    1。安装Eclipse,我直接安装源里的3。5。2版本

    sudo apt-get install eclipse

    2.FB4Linuxaa、FB4Linuxab、FB4Linuxac、FB4Linuxad并放在同一个文件夹,然后执行:

    cat FB4Linux* >FB4Linux.tar.bz2

    3。解压缩

    tar xjf FB4Linux.tar.bz2 -C ~/FlexBuilder4Linux

    4.在Eclipse中安装插件。
    依次选择”Help-Install New Software”,单击“Add”按钮,在弹出的“Add Site”对话框中单击“Local”按钮,指向上一步解压缩的文件夹,并设定一个Name(例如FB4Linux),确认。如下图:

    在“Work with:”下拉列表中选择刚才添加的FB4Linux,要注意不要选择“Group items for category”项。选择所有显示的项目,单击“Next”进行安装。安装速度有些慢,要耐心等待。如下图:

    5。下载,并进行设置。如下图:

    6.AIR支持
    若需要运行和调试AIR项目,会出现错误提示:

    !ApolloLaunchDelegate.dirDoesNotExist!

     


    原因是从opensource.adobe.com下载的FlexSDK不包含Linux编译器,必须使用Linux版本的AIR SDK。
    根据自己的需要和安装的AIR运行时版本,从下面的链接下载:

    解压缩下载的内容并将其覆盖到你的Flex SDKS文件夹。
    同时,应安装。

    下载地址
    下载必看
    所有发行版iso镜像文件来自官方镜像站,请放心使用!
    本站所有资源均来源于互联网,不对版权纠纷承担任何责任!
    如有侵犯,请与发邮件到我们客服QQ邮箱3132702442@qq.com,即删!
    上海时时乐 广西快3 广西快3 广东11选5走势图 澳洲幸运8 全球彩票注册 极速快3 吉林快3 秒速快3 奔驰彩票开奖